summaryrefslogtreecommitdiffstats
path: root/.local/bin/status/sb-net
diff options
context:
space:
mode:
authorJoe <rrbo@proton.me>2023-06-14 12:30:07 +0200
committerJoe <rrbo@proton.me>2023-06-14 12:30:07 +0200
commitf964c2cb48308d98b83ae92448a201e9f8a30cea (patch)
treee8eb77260fdcaaaa03200c4e865b81d285f2ac66 /.local/bin/status/sb-net
parentup (diff)
downloaddotfiles-bsd-f964c2cb48308d98b83ae92448a201e9f8a30cea.tar.gz
dotfiles-bsd-f964c2cb48308d98b83ae92448a201e9f8a30cea.tar.bz2
dotfiles-bsd-f964c2cb48308d98b83ae92448a201e9f8a30cea.tar.xz
dotfiles-bsd-f964c2cb48308d98b83ae92448a201e9f8a30cea.tar.zst
dotfiles-bsd-f964c2cb48308d98b83ae92448a201e9f8a30cea.zip
up
Diffstat (limited to '')
-rwxr-xr-x.local/bin/status/sb-net8
1 files changed, 6 insertions, 2 deletions
diff --git a/.local/bin/status/sb-net b/.local/bin/status/sb-net
index 87d2438..50cc9a5 100755
--- a/.local/bin/status/sb-net
+++ b/.local/bin/status/sb-net
@@ -1,9 +1,13 @@
#!/bin/sh
-if ifconfig | grep '^tun' >/dev/null 2>&1; then
+case $(hostname -s) in
+ mother|po-rbo) ping="ping -c1 -w1 1.1.1.1" ;;
+ mars) ping="ping -c1 -t1 1.1.1.1" ;;
+esac
+if ifconfig | grep -E '^tun|^vpn' >/dev/null 2>&1; then
echo -n " "
fi
-if ! ping -q -c1 -t1 1.1.1.1 >/dev/null 2>&1; then
+if ! $ping >/dev/null 2>&1; then
echo "ﰸ "
return
fi